Subject: Re: [OOPS] hugetlbfs tests with 2.6.30-rc8-git1

From: Michael Ellerman <[email-masked]>
Date: Mon, 15 Jun 2009 10:56:36 +1000

On Sun, 2009-06-14 at 17:08 +0530, Sachin Sant wrote:
> Benjamin Herrenschmidt wrote:
> > On Fri, 2009-06-05 at 16:59 +0530, Sachin Sant wrote:
> >   
> >> While executing Hugetlbfs tests against 2.6.30-rc8-git1 on a
> >> Power 6 box observed the following OOPS message.
> I was able to recreate this with 2.6.30-git7.

Hi Sachin,

Rather than "-git7" can you tell us the actual SHA, I don't know what
git7 is.

> Here is the supporting data.
> 
>  cpu 0x1: Vector: 300 (Data Access) at [c0000000fe9b3220]
>     pc: c00000000003d620: .hpte_need_flush+0x1bc/0x2d8
>     lr: c00000000003d4d0: .hpte_need_flush+0x6c/0x2d8
>     sp: c0000000fe9b34a0
>    msr: 8000000000009032
>    dar: c0000000283b0d78

This address looks pretty innocuous, but I notice you have
DEBUG_PAGEALLOC=y, so presumably that's why it's triggering.

I can't see from the snippet of disassembly you posted where in the C
code we are, can you work it out?

cheers